Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.config
Interface Configuration

All Known Implementing Classes:
  DefaultConfiguration, MockConfiguration

    public interface Configuration

XWork configuration.

Author:
  Mike

Method Summary
`void` | `addPackageConfig(String name, PackageConfig packageConfig)`
`void` | `destroy()` Allow the Configuration to clean up any resources that have been used.
`Container` | `getContainer()`
`Set<String>` | `getLoadedFileNames()`
`PackageConfig` | `getPackageConfig(String name)`
`Set` | `getPackageConfigNames()`
`Map` | `getPackageConfigs()`
`RuntimeConfiguration` | `getRuntimeConfiguration()` The current runtime configuration.
`void` | `rebuildRuntimeConfiguration()`
`void` | `reload(List<ConfigurationProvider> providers)`
`void` | `removePackageConfig(String name)`

Method Detail

### rebuildRuntimeConfiguration

    void rebuildRuntimeConfiguration()

### getPackageConfig

    PackageConfig getPackageConfig(String name)

### getPackageConfigNames

    Set getPackageConfigNames()

### getPackageConfigs

    Map getPackageConfigs()

### getRuntimeConfiguration

    RuntimeConfiguration getRuntimeConfiguration()

  The current runtime configuration. Currently, if changes have been made to the Configuration since the last time buildRuntimeConfiguration() was called, you'll need to make sure to.

  Returns:
    the current runtime configuration

### addPackageConfig

    void addPackageConfig(String name,
                          PackageConfig packageConfig)

### destroy

    void destroy()

  Allow the Configuration to clean up any resources that have been used.

### reload

    void reload(List<ConfigurationProvider> providers)
                throws ConfigurationException

  Throws:
    `ConfigurationException`

### removePackageConfig

    void removePackageConfig(String name)

### getContainer

    Container getContainer()

  Returns:
    the container

### getLoadedFileNames

    Set<String> getLoadedFileNames()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 OpenSymphony. All Rights Reserved.